## org.apache.poi.hssf.record
Class ValueRangeRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.ValueRangeRecord

public class ValueRangeRecord
extends Record

The value range record defines the range of the value axis. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `sid`

Constructor Summary
`ValueRangeRecord()`
`ValueRangeRecord(short id, short size, byte[] data)` Constructs a ValueRange record and sets its fields appropriately.
`ValueRangeRecord(short id, short size, byte[] data, int offset)` Constructs a ValueRange record and sets its fields appropriately.

Method Summary
`java.lang.Object` `clone()`
`protected void` `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`double` `getCategoryAxisCross()` Get the category axis cross field for the ValueRange record.
`double` `getMajorIncrement()` Get the major increment field for the ValueRange record.
`double` `getMaximumAxisValue()` Get the maximum axis value field for the ValueRange record.
`double` `getMinimumAxisValue()` Get the minimum axis value field for the ValueRange record.
`double` `getMinorIncrement()` Get the minor increment field for the ValueRange record.
`short` `getOptions()` Get the options field for the ValueRange record.
`int` `getRecordSize()` Size of record (exluding 4 byte header)
`short` `getSid()` return the non static version of the id for this record.
`boolean` `isAutomaticCategoryCrossing()` category crossing point is automatically selected
`boolean` `isAutomaticMajor()` automatic major unit selected
`boolean` `isAutomaticMaximum()` automatic maximum value selected
`boolean` `isAutomaticMinimum()` automatic minimum value selected
`boolean` `isAutomaticMinor()` automatic minor unit selected
`boolean` `isCrossCategoryAxisAtMaximum()` category axis to cross at maximum value
`boolean` `isLogarithmicScale()` use logarithmic scale
`boolean` `isReserved()` reserved, must equal 1 (excel dev.
`boolean` `isValuesInReverse()` values are reverses in graph
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` `setAutomaticCategoryCrossing(boolean value)` Sets the automatic category crossing field value.
`void` `setAutomaticMajor(boolean value)` Sets the automatic major field value.
`void` `setAutomaticMaximum(boolean value)` Sets the automatic maximum field value.
`void` `setAutomaticMinimum(boolean value)` Sets the automatic minimum field value.
`void` `setAutomaticMinor(boolean value)` Sets the automatic minor field value.
`void` `setCategoryAxisCross(double field_5_categoryAxisCross)` Set the category axis cross field for the ValueRange record.
`void` `setCrossCategoryAxisAtMaximum(boolean value)` Sets the cross category axis at maximum field value.
`void` `setLogarithmicScale(boolean value)` Sets the logarithmic scale field value.
`void` `setMajorIncrement(double field_3_majorIncrement)` Set the major increment field for the ValueRange record.
`void` `setMaximumAxisValue(double field_2_maximumAxisValue)` Set the maximum axis value field for the ValueRange record.
`void` `setMinimumAxisValue(double field_1_minimumAxisValue)` Set the minimum axis value field for the ValueRange record.
`void` `setMinorIncrement(double field_4_minorIncrement)` Set the minor increment field for the ValueRange record.
`void` `setOptions(short field_6_options)` Set the options field for the ValueRange record.
`void` `setReserved(boolean value)` Sets the reserved field value.
`void` `setValuesInReverse(boolean value)` Sets the values in reverse field value.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)
`protected void` `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### ValueRangeRecord

    public ValueRangeRecord()

### ValueRangeRecord

    public ValueRangeRecord(short id,
                            short size,
                            byte[] data)

  Constructs a ValueRange record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x101f or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### ValueRangeRecord

    public ValueRangeRecord(short id,
                            short size,
                            byte[] data,
                            int offset)

  Constructs a ValueRange record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x101f or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getMinimumAxisValue

    public double getMinimumAxisValue()

  Get the minimum axis value field for the ValueRange record.

### setMinimumAxisValue

    public void setMinimumAxisValue(double field_1_minimumAxisValue)

  Set the minimum axis value field for the ValueRange record.

### getMaximumAxisValue

    public double getMaximumAxisValue()

  Get the maximum axis value field for the ValueRange record.

### setMaximumAxisValue

    public void setMaximumAxisValue(double field_2_maximumAxisValue)

  Set the maximum axis value field for the ValueRange record.

### getMajorIncrement

    public double getMajorIncrement()

  Get the major increment field for the ValueRange record.

### setMajorIncrement

    public void setMajorIncrement(double field_3_majorIncrement)

  Set the major increment field for the ValueRange record.

### getMinorIncrement

    public double getMinorIncrement()

  Get the minor increment field for the ValueRange record.

### setMinorIncrement

    public void setMinorIncrement(double field_4_minorIncrement)

  Set the minor increment field for the ValueRange record.

### getCategoryAxisCross

    public double getCategoryAxisCross()

  Get the category axis cross field for the ValueRange record.

### setCategoryAxisCross

    public void setCategoryAxisCross(double field_5_categoryAxisCross)

  Set the category axis cross field for the ValueRange record.

### getOptions

    public short getOptions()

  Get the options field for the ValueRange record.

### setOptions

    public void setOptions(short field_6_options)

  Set the options field for the ValueRange record.

### setAutomaticMinimum

    public void setAutomaticMinimum(boolean value)

  Sets the automatic minimum field value. automatic minimum value selected

### isAutomaticMinimum

    public boolean isAutomaticMinimum()

  automatic minimum value selected

  Returns:
    the automatic minimum field value.

### setAutomaticMaximum

    public void setAutomaticMaximum(boolean value)

  Sets the automatic maximum field value. automatic maximum value selected

### isAutomaticMaximum

    public boolean isAutomaticMaximum()

  automatic maximum value selected

  Returns:
    the automatic maximum field value.

### setAutomaticMajor

    public void setAutomaticMajor(boolean value)

  Sets the automatic major field value. automatic major unit selected

### isAutomaticMajor

    public boolean isAutomaticMajor()

  automatic major unit selected

  Returns:
    the automatic major field value.

### setAutomaticMinor

    public void setAutomaticMinor(boolean value)

  Sets the automatic minor field value. automatic minor unit selected

### isAutomaticMinor

    public boolean isAutomaticMinor()

  automatic minor unit selected

  Returns:
    the automatic minor field value.

### setAutomaticCategoryCrossing

    public void setAutomaticCategoryCrossing(boolean value)

  Sets the automatic category crossing field value. category crossing point is automatically selected

### isAutomaticCategoryCrossing

    public boolean isAutomaticCategoryCrossing()

  category crossing point is automatically selected

  Returns:
    the automatic category crossing field value.

### setLogarithmicScale

    public void setLogarithmicScale(boolean value)

  Sets the logarithmic scale field value. use logarithmic scale

### isLogarithmicScale

    public boolean isLogarithmicScale()

  use logarithmic scale

  Returns:
    the logarithmic scale field value.

### setValuesInReverse

    public void setValuesInReverse(boolean value)

  Sets the values in reverse field value. values are reverses in graph

### isValuesInReverse

    public boolean isValuesInReverse()

  values are reverses in graph

  Returns:
    the values in reverse field value.

### setCrossCategoryAxisAtMaximum

    public void setCrossCategoryAxisAtMaximum(boolean value)

  Sets the cross category axis at maximum field value. category axis to cross at maximum value

### isCrossCategoryAxisAtMaximum

    public boolean isCrossCategoryAxisAtMaximum()

  category axis to cross at maximum value

  Returns:
    the cross category axis at maximum field value.

### setReserved

    public void setReserved(boolean value)

  Sets the reserved field value. reserved, must equal 1 (excel dev. guide says otherwise)

### isReserved

    public boolean isReserved()

  reserved, must equal 1 (excel dev. guide says otherwise)

  Returns:
    the reserved field value.

Copyright © 2003 Apache Software Foundation.